--[[
    
***************************************************************
Created by: jacklul & n01ce
Description:	Auto-update dedicated server game version and mods.
		To be used in conjunction with the mod shell script.
***************************************************************
thanks
]]

local _G = GLOBAL
local TheNet = _G.TheNet
local io = GLOBAL.io

if TheNet and TheNet:GetIsServer() then
    
    local function ShutdownIfEmpty()
        if table.getn(TheNet:GetClientTable()) <= 1 then
            _G.c_shutdown(true)
        end
    end

    local function PrintPlayersNumber(randomness)
        print("PrintPlayersNumber:" .. randomness .. ":" .. (table.getn(TheNet:GetClientTable())-1) .. ":END")
    end
          
    local GetGlobal=function(gname,default)
        local res=_G.rawget(_G,gname)
        if default and not res then
            _G.rawset(_G,gname,default)
            return false
        else
            return res
        end
    end
 
    GetGlobal("c_shutdownifempty", ShutdownIfEmpty)
    GetGlobal("c_printplayersnumber", PrintPlayersNumber)
end

